# Class CIM_CardOnCard
extends CIM_Container

Cards may be plugged into Motherboards/baseboards, are daughtercards of an adapter, or support special Card-like modules. These relationships are described by the CardOnCard association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_Container
|
+--CIM_CardOnCard

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | Cards may be plugged into Motherboards/baseboards, are daughtercards of an adapter, or support special Card-like modules. These relationships are described by the CardOnCard association.
UMLPackagePath | string | CIM::Physical::Package
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
MountOrSlotDescription | string |

Description

string

A string describing and identifying how the Card is mounted on or plugged into the 'other' Card. Slot information could be included in this field and may be sufficient for certain management purposes. If so, this avoids creating instantiations of Connector/Slot objects just to model the relationship of Cards to HostingBoards or other adapters. On the other hand, if Slot and Connector information is available, this field could be used to provide more detailed mounting or slot insertion data.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_CardOnCard | CIM_Card
PartComponent | CIM_CardOnCard | CIM_Card

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
LocationWithinContainer | string | CIM_Container

## Class Methods